Will the iPod Touch 2G/iPhone 3G be unsupported by iOS 5?

Discussion in 'iPod touch' started by mikeac, Jul 17, 2010.

?

Will the iPhone 3G/iPod Touch 2G be unsupported on iOS 5?

  1. Yes, it will be unsupported.

    34 vote(s)
    60.7%
  2. No, it will be supported.

    19 vote(s)
    33.9%
  3. I don't have those devices, so I don't care.

    3 vote(s)
    5.4%
  1. mikeac

    mikeac Member

    Joined:
    Jun 21, 2010
    Messages:
    665
    Likes Received:
    2
    Device:
    iPhone 4 (Black)
    What do you predict will happen? The iPhone 2G and iPod Touch 1G became unsupported on iOS 4, do you think the iPod Touch 2G and iPhone 3G will be unsupported by iOS 5? Vote up there^

    I think it will since it will be 'outdated' in Apple's eyes.

    Please Register or Log in to view images



    Those eyes.

    EDIT:

    I think Apple's cycle of removing support for devices goes like this (thanks to Xenago):

    1st Generation (iPT 1G, iP EDGE): major releases 1.0-3.0 then unsupported
    2nd Generation ((iPT 2G (MC & MB), iP 3G)): major releases 2.0-4.0 then unsupported
    3rd Generation (iPT 3G, iP 3GS): major releases 3.0-5.0 then unsupported
    4th Generation (iPT G4, iP 4G): major releases 4.0-6.0 then unsupported

    And... you get my idea. However I doubt that Apple will keep creating iPhones and iPods. It's gotta start a brand new original generation sometime.
  2. jmwerkus

    jmwerkus Active Member

    Joined:
    Apr 9, 2009
    Messages:
    3,030
    Likes Received:
    17
    Device:
    iPhone 5S
    no it wont. and the 3GS wont be in ios 6
  3. mikeac

    mikeac Member

    Joined:
    Jun 21, 2010
    Messages:
    665
    Likes Received:
    2
    Device:
    iPhone 4 (Black)
    Probably. Polls up.
  4. Xenago

    Xenago New Member

    Joined:
    Jul 14, 2009
    Messages:
    16
    Likes Received:
    0
    Device:
    2G iPod touch
    I HOPE it is, but it probably WON'T be. Sad face.

    Please Register or Log in to view images



    Wait, check this out:

    Iphone original: 1.0, 2.0, 3.0
    Itouch 1: 1.0, 2.0, 3.0

    They are compatible with 3 versions!

    Iphone 3g/touch 2: 2.0, 3.0, 4.0

    Again, 3 versions.

    Yup, they're done for.

    Please Register or Log in to view images



    >

    Please Register or Log in to view images

    Angry at apple face!
  5. Ethiopian

    Ethiopian New Member

    Joined:
    Jun 28, 2010
    Messages:
    248
    Likes Received:
    0
    Device:
    4G iPod touch
    I don't care too much seeing as I'm scared of even going for iOS 4. Don't wanna lose my jailbroken stuff, y'know.
  6. mikeac

    mikeac Member

    Joined:
    Jun 21, 2010
    Messages:
    665
    Likes Received:
    2
    Device:
    iPhone 4 (Black)
    You're on 3.1.2. You can jailbreak, whether you are on MB or MC. And if you have Rock, it automatically backs up a list all your stuff to the server once you install it. Some apps don't work as well or haven't been updated to work at all (eg. Cydgets, Kirikae, etc.) though. But I can deal with it.
  7. justin37

    justin37 Member

    Joined:
    Jul 8, 2010
    Messages:
    207
    Likes Received:
    3
    Device:
    5G iPod touch
    Even if they are compatible, they will become outdated sometime.
  8. bobby681

    bobby681 Active Member

    Joined:
    Jun 24, 2008
    Messages:
    2,588
    Likes Received:
    0
    Device:
    iPhone 4 (Black)
    It depends what they add, if its only something small like 3.0 they might be supported. Apple is a company however, its in their best interest if you buy new hardware off them so they may not support it
  9. NitroBum

    NitroBum Active Member

    Joined:
    Feb 23, 2009
    Messages:
    1,549
    Likes Received:
    12
    Device:
    iPhone 4S (Black)
    I think the new iPhone/iPod thing is going to end sometime soon. At this rate, we'll have iPhone 20 in 2027, which I just don't see happening. At least it will start taking longer for our devices to be considered obsolete.
  10. RaymondK8

    RaymondK8 Member

    Joined:
    Feb 15, 2010
    Messages:
    281
    Likes Received:
    0
    Device:
    4G iPod touch
    Nope because they'll include amazing updates in iOS5 which everyone would want forcing 1G/2G/3G,8GB users to upgrade so Apple gets more money.

    Or... We jailbreak and download some stuff from Cydia to replicate whatever iOS5 has to offer.

Share This Page